Table of Contents

Class InviteExistingUserRequestBuilder

Namespace
Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Organizations.Item.Members.InviteExistingUser
Assembly
Keycloak.AuthServices.Sdk.Kiota.dll

Builds and executes requests for operations under \admin\realms{realm}\organizations{org-id}\members\invite-existing-user

public class InviteExistingUserRequestBuilder : BaseRequestBuilder
Inheritance
BaseRequestBuilder
InviteExistingUserRequestBuilder
Inherited Members
BaseRequestBuilder.PathParameters
BaseRequestBuilder.RequestAdapter
BaseRequestBuilder.UrlTemplate

Constructors

InviteExistingUserRequestBuilder(Dictionary<string, object>, IRequestAdapter)

Instantiates a new InviteExistingUserRequestBuilder and sets the default values.

public InviteExistingUserRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)

Parameters

pathParameters Dictionary<string, object>

Path parameters for the request

requestAdapter IRequestAdapter

The request adapter to use to execute the requests.

InviteExistingUserRequestBuilder(string, IRequestAdapter)

Instantiates a new InviteExistingUserRequestBuilder and sets the default values.

public InviteExistingUserRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)

Parameters

rawUrl string

The raw URL to use for the request builder.

requestAdapter IRequestAdapter

The request adapter to use to execute the requests.

Methods

PostAsync(InviteExistingUserPostRequestBody, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)

Invites an existing user to the organization, using the specified user id

public Task PostAsync(InviteExistingUserPostRequestBody body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)

Parameters

body InviteExistingUserPostRequestBody

The request body

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

cancellationToken CancellationToken

Cancellation token to use when cancelling requests

Returns

Task

ToPostRequestInformation(InviteExistingUserPostRequestBody, Action<RequestConfiguration<DefaultQueryParameters>>?)

Invites an existing user to the organization, using the specified user id

public RequestInformation ToPostRequestInformation(InviteExistingUserPostRequestBody body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)

Parameters

body InviteExistingUserPostRequestBody

The request body

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

Returns

RequestInformation

A Microsoft.Kiota.Abstractions.RequestInformation

WithUrl(string)

Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.

public InviteExistingUserRequestBuilder WithUrl(string rawUrl)

Parameters

rawUrl string

The raw URL to use for the request builder.

Returns

InviteExistingUserRequestBuilder

A InviteExistingUserRequestBuilder